IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
3c19:c25e:8a00::/40- First address
3c19:c25e:8a00::- Last address
3c19:c25e:8aff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
3c19:c25e:8a00:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
a.8.e.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25e:8a00::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25e:8a00::/48 | 3c19:c25e:8a00:ffff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25e:8a01::/48 | 3c19:c25e:8a01:ffff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25e:8a02::/48 | 3c19:c25e:8a02:ffff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25e:8a03::/48 | 3c19:c25e:8a03:ffff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25e:8a04::/48 | 3c19:c25e:8a04:ffff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25e:8a05::/48 | 3c19:c25e:8a05:ffff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25e:8a06::/48 | 3c19:c25e:8a06:ffff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25e:8a07::/48 | 3c19:c25e:8a07:ffff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25e:8a08::/48 | 3c19:c25e:8a08:ffff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25e:8a09::/48 | 3c19:c25e:8a09:ffff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25e:8a0a::/48 | 3c19:c25e:8a0a:ffff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25e:8a0b::/48 | 3c19:c25e:8a0b:ffff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25e:8a0c::/48 | 3c19:c25e:8a0c:ffff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25e:8a0d::/48 | 3c19:c25e:8a0d:ffff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25e:8a0e::/48 | 3c19:c25e:8a0e:ffff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25e:8a0f::/48 | 3c19:c25e:8a0f:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25e:8a10::/48 | 3c19:c25e:8a10:ffff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25e:8a11::/48 | 3c19:c25e:8a11:ffff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25e:8a12::/48 | 3c19:c25e:8a12:ffff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25e:8a13::/48 | 3c19:c25e:8a13:ffff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25e:8a14::/48 | 3c19:c25e:8a14:ffff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25e:8a15::/48 | 3c19:c25e:8a15:ffff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25e:8a16::/48 | 3c19:c25e:8a16:ffff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25e:8a17::/48 | 3c19:c25e:8a17:ffff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25e:8a18::/48 | 3c19:c25e:8a18:ffff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25e:8a19::/48 | 3c19:c25e:8a19:ffff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25e:8a1a::/48 | 3c19:c25e:8a1a:ffff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25e:8a1b::/48 | 3c19:c25e:8a1b:ffff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25e:8a1c::/48 | 3c19:c25e:8a1c:ffff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25e:8a1d::/48 | 3c19:c25e:8a1d:ffff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25e:8a1e::/48 | 3c19:c25e:8a1e:ffff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25e:8a1f::/48 | 3c19:c25e:8a1f:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25e:8a20::/48 | 3c19:c25e:8a20:ffff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25e:8a21::/48 | 3c19:c25e:8a21:ffff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25e:8a22::/48 | 3c19:c25e:8a22:ffff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25e:8a23::/48 | 3c19:c25e:8a23:ffff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25e:8a24::/48 | 3c19:c25e:8a24:ffff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25e:8a25::/48 | 3c19:c25e:8a25:ffff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25e:8a26::/48 | 3c19:c25e:8a26:ffff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25e:8a27::/48 | 3c19:c25e:8a27:ffff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25e:8a28::/48 | 3c19:c25e:8a28:ffff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25e:8a29::/48 | 3c19:c25e:8a29:ffff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25e:8a2a::/48 | 3c19:c25e:8a2a:ffff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25e:8a2b::/48 | 3c19:c25e:8a2b:ffff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25e:8a2c::/48 | 3c19:c25e:8a2c:ffff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25e:8a2d::/48 | 3c19:c25e:8a2d:ffff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25e:8a2e::/48 | 3c19:c25e:8a2e:ffff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25e:8a2f::/48 | 3c19:c25e:8a2f:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25e:8a30::/48 | 3c19:c25e:8a30:ffff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25e:8a31::/48 | 3c19:c25e:8a31:ffff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25e:8a32::/48 | 3c19:c25e:8a32:ffff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25e:8a33::/48 | 3c19:c25e:8a33:ffff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25e:8a34::/48 | 3c19:c25e:8a34:ffff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25e:8a35::/48 | 3c19:c25e:8a35:ffff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25e:8a36::/48 | 3c19:c25e:8a36:ffff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25e:8a37::/48 | 3c19:c25e:8a37:ffff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25e:8a38::/48 | 3c19:c25e:8a38:ffff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25e:8a39::/48 | 3c19:c25e:8a39:ffff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25e:8a3a::/48 | 3c19:c25e:8a3a:ffff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25e:8a3b::/48 | 3c19:c25e:8a3b:ffff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25e:8a3c::/48 | 3c19:c25e:8a3c:ffff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25e:8a3d::/48 | 3c19:c25e:8a3d:ffff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25e:8a3e::/48 | 3c19:c25e:8a3e:ffff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25e:8a3f::/48 | 3c19:c25e:8a3f:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25e:8a40::/48 | 3c19:c25e:8a40:ffff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25e:8a41::/48 | 3c19:c25e:8a41:ffff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25e:8a42::/48 | 3c19:c25e:8a42:ffff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25e:8a43::/48 | 3c19:c25e:8a43:ffff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25e:8a44::/48 | 3c19:c25e:8a44:ffff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25e:8a45::/48 | 3c19:c25e:8a45:ffff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25e:8a46::/48 | 3c19:c25e:8a46:ffff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25e:8a47::/48 | 3c19:c25e:8a47:ffff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25e:8a48::/48 | 3c19:c25e:8a48:ffff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25e:8a49::/48 | 3c19:c25e:8a49:ffff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25e:8a4a::/48 | 3c19:c25e:8a4a:ffff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25e:8a4b::/48 | 3c19:c25e:8a4b:ffff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25e:8a4c::/48 | 3c19:c25e:8a4c:ffff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25e:8a4d::/48 | 3c19:c25e:8a4d:ffff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25e:8a4e::/48 | 3c19:c25e:8a4e:ffff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25e:8a4f::/48 | 3c19:c25e:8a4f:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25e:8a50::/48 | 3c19:c25e:8a50:ffff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25e:8a51::/48 | 3c19:c25e:8a51:ffff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25e:8a52::/48 | 3c19:c25e:8a52:ffff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25e:8a53::/48 | 3c19:c25e:8a53:ffff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25e:8a54::/48 | 3c19:c25e:8a54:ffff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25e:8a55::/48 | 3c19:c25e:8a55:ffff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25e:8a56::/48 | 3c19:c25e:8a56:ffff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25e:8a57::/48 | 3c19:c25e:8a57:ffff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25e:8a58::/48 | 3c19:c25e:8a58:ffff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25e:8a59::/48 | 3c19:c25e:8a59:ffff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25e:8a5a::/48 | 3c19:c25e:8a5a:ffff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25e:8a5b::/48 | 3c19:c25e:8a5b:ffff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25e:8a5c::/48 | 3c19:c25e:8a5c:ffff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25e:8a5d::/48 | 3c19:c25e:8a5d:ffff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25e:8a5e::/48 | 3c19:c25e:8a5e:ffff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25e:8a5f::/48 | 3c19:c25e:8a5f:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25e:8a60::/48 | 3c19:c25e:8a60:ffff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25e:8a61::/48 | 3c19:c25e:8a61:ffff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25e:8a62::/48 | 3c19:c25e:8a62:ffff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25e:8a63::/48 | 3c19:c25e:8a63:ffff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25e:8a64::/48 | 3c19:c25e:8a64:ffff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25e:8a65::/48 | 3c19:c25e:8a65:ffff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25e:8a66::/48 | 3c19:c25e:8a66:ffff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25e:8a67::/48 | 3c19:c25e:8a67:ffff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25e:8a68::/48 | 3c19:c25e:8a68:ffff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25e:8a69::/48 | 3c19:c25e:8a69:ffff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25e:8a6a::/48 | 3c19:c25e:8a6a:ffff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25e:8a6b::/48 | 3c19:c25e:8a6b:ffff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25e:8a6c::/48 | 3c19:c25e:8a6c:ffff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25e:8a6d::/48 | 3c19:c25e:8a6d:ffff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25e:8a6e::/48 | 3c19:c25e:8a6e:ffff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25e:8a6f::/48 | 3c19:c25e:8a6f:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25e:8a70::/48 | 3c19:c25e:8a70:ffff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25e:8a71::/48 | 3c19:c25e:8a71:ffff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25e:8a72::/48 | 3c19:c25e:8a72:ffff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25e:8a73::/48 | 3c19:c25e:8a73:ffff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25e:8a74::/48 | 3c19:c25e:8a74:ffff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25e:8a75::/48 | 3c19:c25e:8a75:ffff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25e:8a76::/48 | 3c19:c25e:8a76:ffff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25e:8a77::/48 | 3c19:c25e:8a77:ffff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25e:8a78::/48 | 3c19:c25e:8a78:ffff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25e:8a79::/48 | 3c19:c25e:8a79:ffff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25e:8a7a::/48 | 3c19:c25e:8a7a:ffff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25e:8a7b::/48 | 3c19:c25e:8a7b:ffff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25e:8a7c::/48 | 3c19:c25e:8a7c:ffff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25e:8a7d::/48 | 3c19:c25e:8a7d:ffff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25e:8a7e::/48 | 3c19:c25e:8a7e:ffff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25e:8a7f::/48 | 3c19:c25e:8a7f:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25e:8a80::/48 | 3c19:c25e:8a80:ffff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25e:8a81::/48 | 3c19:c25e:8a81:ffff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25e:8a82::/48 | 3c19:c25e:8a82:ffff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25e:8a83::/48 | 3c19:c25e:8a83:ffff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25e:8a84::/48 | 3c19:c25e:8a84:ffff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25e:8a85::/48 | 3c19:c25e:8a85:ffff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25e:8a86::/48 | 3c19:c25e:8a86:ffff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25e:8a87::/48 | 3c19:c25e:8a87:ffff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25e:8a88::/48 | 3c19:c25e:8a88:ffff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25e:8a89::/48 | 3c19:c25e:8a89:ffff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25e:8a8a::/48 | 3c19:c25e:8a8a:ffff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25e:8a8b::/48 | 3c19:c25e:8a8b:ffff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25e:8a8c::/48 | 3c19:c25e:8a8c:ffff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25e:8a8d::/48 | 3c19:c25e:8a8d:ffff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25e:8a8e::/48 | 3c19:c25e:8a8e:ffff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25e:8a8f::/48 | 3c19:c25e:8a8f:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25e:8a90::/48 | 3c19:c25e:8a90:ffff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25e:8a91::/48 | 3c19:c25e:8a91:ffff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25e:8a92::/48 | 3c19:c25e:8a92:ffff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25e:8a93::/48 | 3c19:c25e:8a93:ffff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25e:8a94::/48 | 3c19:c25e:8a94:ffff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25e:8a95::/48 | 3c19:c25e:8a95:ffff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25e:8a96::/48 | 3c19:c25e:8a96:ffff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25e:8a97::/48 | 3c19:c25e:8a97:ffff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25e:8a98::/48 | 3c19:c25e:8a98:ffff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25e:8a99::/48 | 3c19:c25e:8a99:ffff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25e:8a9a::/48 | 3c19:c25e:8a9a:ffff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25e:8a9b::/48 | 3c19:c25e:8a9b:ffff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25e:8a9c::/48 | 3c19:c25e:8a9c:ffff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25e:8a9d::/48 | 3c19:c25e:8a9d:ffff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25e:8a9e::/48 | 3c19:c25e:8a9e:ffff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25e:8a9f::/48 | 3c19:c25e:8a9f:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25e:8aa0::/48 | 3c19:c25e:8aa0:ffff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25e:8aa1::/48 | 3c19:c25e:8aa1:ffff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25e:8aa2::/48 | 3c19:c25e:8aa2:ffff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25e:8aa3::/48 | 3c19:c25e:8aa3:ffff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25e:8aa4::/48 | 3c19:c25e:8aa4:ffff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25e:8aa5::/48 | 3c19:c25e:8aa5:ffff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25e:8aa6::/48 | 3c19:c25e:8aa6:ffff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25e:8aa7::/48 | 3c19:c25e:8aa7:ffff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25e:8aa8::/48 | 3c19:c25e:8aa8:ffff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25e:8aa9::/48 | 3c19:c25e:8aa9:ffff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25e:8aaa::/48 | 3c19:c25e:8aaa:ffff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25e:8aab::/48 | 3c19:c25e:8aab:ffff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25e:8aac::/48 | 3c19:c25e:8aac:ffff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25e:8aad::/48 | 3c19:c25e:8aad:ffff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25e:8aae::/48 | 3c19:c25e:8aae:ffff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25e:8aaf::/48 | 3c19:c25e:8aaf:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25e:8ab0::/48 | 3c19:c25e:8ab0:ffff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25e:8ab1::/48 | 3c19:c25e:8ab1:ffff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25e:8ab2::/48 | 3c19:c25e:8ab2:ffff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25e:8ab3::/48 | 3c19:c25e:8ab3:ffff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25e:8ab4::/48 | 3c19:c25e:8ab4:ffff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25e:8ab5::/48 | 3c19:c25e:8ab5:ffff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25e:8ab6::/48 | 3c19:c25e:8ab6:ffff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25e:8ab7::/48 | 3c19:c25e:8ab7:ffff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25e:8ab8::/48 | 3c19:c25e:8ab8:ffff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25e:8ab9::/48 | 3c19:c25e:8ab9:ffff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25e:8aba::/48 | 3c19:c25e:8aba:ffff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25e:8abb::/48 | 3c19:c25e:8abb:ffff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25e:8abc::/48 | 3c19:c25e:8abc:ffff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25e:8abd::/48 | 3c19:c25e:8abd:ffff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25e:8abe::/48 | 3c19:c25e:8abe:ffff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25e:8abf::/48 | 3c19:c25e:8abf:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25e:8ac0::/48 | 3c19:c25e:8ac0:ffff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25e:8ac1::/48 | 3c19:c25e:8ac1:ffff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25e:8ac2::/48 | 3c19:c25e:8ac2:ffff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25e:8ac3::/48 | 3c19:c25e:8ac3:ffff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25e:8ac4::/48 | 3c19:c25e:8ac4:ffff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25e:8ac5::/48 | 3c19:c25e:8ac5:ffff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25e:8ac6::/48 | 3c19:c25e:8ac6:ffff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25e:8ac7::/48 | 3c19:c25e:8ac7:ffff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25e:8ac8::/48 | 3c19:c25e:8ac8:ffff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25e:8ac9::/48 | 3c19:c25e:8ac9:ffff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25e:8aca::/48 | 3c19:c25e:8aca:ffff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25e:8acb::/48 | 3c19:c25e:8acb:ffff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25e:8acc::/48 | 3c19:c25e:8acc:ffff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25e:8acd::/48 | 3c19:c25e:8acd:ffff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25e:8ace::/48 | 3c19:c25e:8ace:ffff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25e:8acf::/48 | 3c19:c25e:8acf:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25e:8ad0::/48 | 3c19:c25e:8ad0:ffff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25e:8ad1::/48 | 3c19:c25e:8ad1:ffff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25e:8ad2::/48 | 3c19:c25e:8ad2:ffff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25e:8ad3::/48 | 3c19:c25e:8ad3:ffff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25e:8ad4::/48 | 3c19:c25e:8ad4:ffff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25e:8ad5::/48 | 3c19:c25e:8ad5:ffff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25e:8ad6::/48 | 3c19:c25e:8ad6:ffff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25e:8ad7::/48 | 3c19:c25e:8ad7:ffff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25e:8ad8::/48 | 3c19:c25e:8ad8:ffff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25e:8ad9::/48 | 3c19:c25e:8ad9:ffff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25e:8ada::/48 | 3c19:c25e:8ada:ffff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25e:8adb::/48 | 3c19:c25e:8adb:ffff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25e:8adc::/48 | 3c19:c25e:8adc:ffff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25e:8add::/48 | 3c19:c25e:8add:ffff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25e:8ade::/48 | 3c19:c25e:8ade:ffff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25e:8adf::/48 | 3c19:c25e:8adf:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25e:8ae0::/48 | 3c19:c25e:8ae0:ffff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25e:8ae1::/48 | 3c19:c25e:8ae1:ffff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25e:8ae2::/48 | 3c19:c25e:8ae2:ffff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25e:8ae3::/48 | 3c19:c25e:8ae3:ffff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25e:8ae4::/48 | 3c19:c25e:8ae4:ffff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25e:8ae5::/48 | 3c19:c25e:8ae5:ffff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25e:8ae6::/48 | 3c19:c25e:8ae6:ffff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25e:8ae7::/48 | 3c19:c25e:8ae7:ffff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25e:8ae8::/48 | 3c19:c25e:8ae8:ffff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25e:8ae9::/48 | 3c19:c25e:8ae9:ffff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25e:8aea::/48 | 3c19:c25e:8aea:ffff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25e:8aeb::/48 | 3c19:c25e:8aeb:ffff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25e:8aec::/48 | 3c19:c25e:8aec:ffff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25e:8aed::/48 | 3c19:c25e:8aed:ffff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25e:8aee::/48 | 3c19:c25e:8aee:ffff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25e:8aef::/48 | 3c19:c25e:8aef:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25e:8af0::/48 | 3c19:c25e:8af0:ffff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25e:8af1::/48 | 3c19:c25e:8af1:ffff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25e:8af2::/48 | 3c19:c25e:8af2:ffff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25e:8af3::/48 | 3c19:c25e:8af3:ffff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25e:8af4::/48 | 3c19:c25e:8af4:ffff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25e:8af5::/48 | 3c19:c25e:8af5:ffff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25e:8af6::/48 | 3c19:c25e:8af6:ffff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25e:8af7::/48 | 3c19:c25e:8af7:ffff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25e:8af8::/48 | 3c19:c25e:8af8:ffff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25e:8af9::/48 | 3c19:c25e:8af9:ffff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25e:8afa::/48 | 3c19:c25e:8afa:ffff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25e:8afb::/48 | 3c19:c25e:8afb:ffff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25e:8afc::/48 | 3c19:c25e:8afc:ffff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25e:8afd::/48 | 3c19:c25e:8afd:ffff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25e:8afe::/48 | 3c19:c25e:8afe:ffff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25e:8aff::/48 | 3c19:c25e:8aff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |